> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Dynamic client registration



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json post /oauth/register
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /oauth/register:
    post:
      tags:
        - oauth-server
      summary: Dynamic client registration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientRegistrationRequest'
      responses:
        '200':
          description: Registered
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientRegistrationResponse'
components:
  schemas:
    ClientRegistrationRequest:
      type: object
      properties:
        redirect_uris:
          type: array
          items:
            type: string
            maxLength: 2048
            format: uri
          maxItems: 20
        client_name:
          type: string
          maxLength: 255
        grant_types:
          type: array
          items:
            type: string
            maxLength: 64
          maxItems: 10
        response_types:
          type: array
          items:
            type: string
            maxLength: 64
          maxItems: 10
        token_endpoint_auth_method:
          type: string
          maxLength: 64
    ClientRegistrationResponse:
      type: object
      properties:
        client_id:
          type: string
        client_secret:
          type: string
          nullable: true
        client_id_issued_at:
          type: integer
        client_secret_expires_at:
          type: number
          enum:
            - 0
        redirect_uris:
          type: array
          items:
            type: string
        client_name:
          type: string
          nullable: true
        grant_types:
          type: array
          items:
            type: string
        response_types:
          type: array
          items:
            type: string
        token_endpoint_auth_method:
          type: string
      required:
        - client_id
        - client_secret
        - client_id_issued_at
        - client_secret_expires_at
        - redirect_uris
        - client_name
        - grant_types
        - response_types
        - token_endpoint_auth_method

````